org.gradle.api.reporting.dependencies

## Interface DependencyReportContainer

- All Superinterfaces:
    Collection<Report>, org.gradle.util.Configurable<ReportContainer<Report>>, DomainObjectCollection<Report>, Iterable<Report>, NamedDomainObjectCollection<Report>, NamedDomainObjectSet<Report>, ReportContainer<Report>, Set<Report>

      public interface DependencyReportContainer
      extends ReportContainer<Report>

  The set of reports that can be generated by the `HtmlDependencyReportTask` task type.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.reporting.ReportContainer

      `ReportContainer.ImmutableViolationException`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DirectoryReport` | `getHtml()` The dependency HTML report

    - ### Methods inherited from interface org.gradle.api.reporting.ReportContainer

      `getEnabled`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

      `findAll, matching, matching, withType`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

      `add, addAll, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getNamer, getNames, getRules`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `all, all, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface java.util.Collection

      `clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

    - ### Methods inherited from interface org.gradle.util.Configurable

      `configure`

- - ### Method Detail

    - #### getHtml

          DirectoryReport getHtml()

      The dependency HTML report
      Returns:
        The dependency HTML report